Debian Bug report logs - #590180
ITP: sigil -- A WYSIWYG ebook editor

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlo Stemberger <carlo.stemberger@gmail.com>

Date: Sat, 24 Jul 2010 15:21:01 UTC

Owned by: don@debian.org

Severity: wishlist

Fix blocked by 602781: ITP: flightcrew -- ePub book format validator, 614183: ITP: ziparchive -- A C++ ZIP archive library

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carlo.stemberger@gmail.com, wnpp@debian.org:
Bug#590180; Package wnpp. (Sat, 24 Jul 2010 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
New Bug report received and forwarded. Copy sent to carlo.stemberger@gmail.com, wnpp@debian.org. (Sat, 24 Jul 2010 15:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: sigil -- A WYSIWYG ebook editor
Date: Sat, 24 Jul 2010 17:19:13 +0200
Package: wnpp
Severity: wishlist


* Package name    : sigil
  Version         : 0.2.3
  Upstream Author : Strahinja Marković
* URL             : http://code.google.com/p/sigil/
* License         : GPL
  Programming Lang: C++
  Description     : A WYSIWYG ebook editor

Sigil is a multi-platform WYSIWYG ebook editor. It is designed to edit
books in ePub format.

Now what does it have to offer...

* Free and open source software under GPLv3
* Multi-platform: runs on Windows, Linux and Mac
* Full Unicode support: everything you see in Sigil is in UTF-16
* Full EPUB spec support
* WYSIWYG editing
* Multiple Views: Book View, Code View and Split View
* Metadata editor with full support for all possible metadata entries (more than 200) with full descriptions for each
* Table Of Contents editor
* Multi-level TOC support
* Book View fully supports the display of any XHTML document possible under the OPS spec
* SVG support
* Basic XPGT support
* Advanced automatic conversion of all imported documents to Unicode
* Currently imports TXT, HTML and EPUB files; more will be added with time
* Embedded HTML Tidy; all imported documents are thoroughly cleaned; changing views cleans the document so no matter how much you screw up your code, it will fix it (usually)
* An actually usable user interface
* Native C++ application
* Bugs :)
* And a lot more...




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590180; Package wnpp. (Wed, 28 Jul 2010 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Masayuki Hatta <mhatta@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 28 Jul 2010 08:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 590180@bugs.debian.org (full text, mbox):

From: Masayuki Hatta <mhatta@gmail.com>
To: 590180@bugs.debian.org
Date: Wed, 28 Jul 2010 17:33:53 +0900
[Message part 1 (text/plain, inline)]
Hi,

I cooked up .deb for Sigil

http://people.debian.org/~mhatta/debian/sigil/

I'll upload these soon if nobody else is interested much.

Best regards,
MH


$
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP sigil -- A WYSIWYG ebook editor' from 'RFP: sigil -- A WYSIWYG ebook editor' Request was from Masayuki Hatta <mhatta@gmail.com> to control@bugs.debian.org. (Wed, 28 Jul 2010 08:45:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: sigil -- A WYSIWYG ebook editor' from 'ITP sigil -- A WYSIWYG ebook editor' Request was from Masayuki Hatta <mhatta@gmail.com> to control@bugs.debian.org. (Wed, 28 Jul 2010 08:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 08:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590180; Package wnpp. (Tue, 14 Dec 2010 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 14 Dec 2010 15:09:06 GMT) Full text and rfc822 format available.

Message #21 received at 590180@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: Masayuki Hatta <mhatta@gmail.com>
Cc: 590180@bugs.debian.org
Subject: Re: ITP: sigil -- A WYSIWYG ebook editor
Date: Tue, 14 Dec 2010 19:27:56 +0800
Hi,

I am interested to ebook editing and want to use Sigil in Debian.  What
is the current status of this package?  I am volunteered if you need
help!

Cheers,
Kanru

-- 
A badly written book is only a blunder. A bad translation of a good
book is a crime.
                -- Gilbert Highet




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590180; Package wnpp. (Tue, 04 Jan 2011 08:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Jan 2011 08:06:06 GMT) Full text and rfc822 format available.

Message #26 received at 590180@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: Masayuki Hatta <mhatta@gmail.com>
Cc: 590180@bugs.debian.org, mhatta@debian.org
Subject: Re: ITP: sigil -- A WYSIWYG ebook editor
Date: Tue, 04 Jan 2011 16:03:57 +0800
[Message part 1 (text/plain, inline)]
Hello Masayuki & happy new year!

I plan to prepare a updateed Sigil package based on your 0.2.3 version
(upstream is 0.3.2 now), it will take about 5-7 days.  If there was
still no response from you since then, I will upload it for new
processing directly.

I'm looking forward to hearing form you!

Kanru
-- 
A badly written book is only a blunder. A bad translation of a good
book is a crime.
                -- Gilbert Highet
[Message part 2 (application/pgp-signature, inline)]

Owner recorded as koster@debian.org. Request was from Kan-Ru Chen <koster@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 07:42:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Fri, 25 Feb 2011 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Fri, 25 Feb 2011 16:24:02 GMT) Full text and rfc822 format available.

Message #33 received at 590180@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: Pierre Haessig <pierre.haessig@crans.org>
Cc: 590180@bugs.debian.org
Subject: Re: Sigile Debian package
Date: Sat, 26 Feb 2011 00:21:21 +0800
[Message part 1 (text/plain, inline)]
Hi,

(ccing the bug report)

Pierre Haessig <pierre.haessig@crans.org> writes:

> Hello Kanru,
> I've seen from Debian BTS
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590180) that you were
> planning to package Sigile back in January. I have not seen Sigile in
> the Debian packet database yet, but is there a place to download the
> file manually ?

Yes, I'm still working on this. I have a installable package; build the
program is easy. The package has not yet been uploaded because it uses
so many convenience copy of libraries in the upstream tarball (zip
ball?). In consequence the packages libziparchive (#614183) and
flightcrew (#602781) have to be uploaded together. Flightcrew itself
also contains another set of convenience copy of libraries. So the
workload of packaging this single package was at least tripled.

> Is there a plan to push Sigile in the new testing ?

Definitely.

> Also, do you need some help in this process ?
> I'm looking forward hearing from you !

Any help would be appreciated. For example, auditing the licenses of
remaining dependencies, or package the dependencies. ;-)

> Best,
> Pierre

Cheers,
Kanru

-- 
A badly written book is only a blunder. A bad translation of a good
book is a crime.
                -- Gilbert Highet
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Thu, 09 Jun 2011 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@atdot.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Thu, 09 Jun 2011 18:51:03 GMT) Full text and rfc822 format available.

Message #38 received at 590180@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@atdot.cc>
To: Kan-Ru Chen <koster@debian.org>
Cc: Pierre Haessig <pierre.haessig@crans.org>, 590180@bugs.debian.org
Subject: Re: Sigile Debian package
Date: Thu, 9 Jun 2011 14:41:22 -0400
[Message part 1 (text/plain, inline)]
Hello Kanru (and others!)

Thanks everyone for your work so far to get Sigil into Debian.  I've
noticed that it's been a few months since this bug was updated.

I'm willing to put in an evening of work or two to help package
dependencies or do other work to get this package uploaded. Do you
have a repository where you are working? What, in particular, needs to
be changed?

Regards,
Mako



-- 
Benjamin Mako Hill
mako@atdot.cc
http://mako.cc/

Creativity can be a social contribution, but only in so far
as society is free to use the results. --GNU Manifesto
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Fri, 10 Jun 2011 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Fri, 10 Jun 2011 02:15:03 GMT) Full text and rfc822 format available.

Message #43 received at 590180@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: "Benj. Mako Hill" <mako@atdot.cc>
Cc: Pierre Haessig <pierre.haessig@crans.org>, Pino Toscano <toscano.pino@tiscali.it>, 590180@bugs.debian.org
Subject: Re: Sigile Debian package
Date: Fri, 10 Jun 2011 10:12:49 +0800
[Message part 1 (text/plain, inline)]
"Benj. Mako Hill" <mako@atdot.cc> writes:

> Hello Kanru (and others!)
>
> Thanks everyone for your work so far to get Sigil into Debian.  I've
> noticed that it's been a few months since this bug was updated.
>
> I'm willing to put in an evening of work or two to help package
> dependencies or do other work to get this package uploaded. Do you
> have a repository where you are working? What, in particular, needs to
> be changed?

Thank you for bring this up again! I feel so bad that I cannot complete
this package quickly.

It seems I had created a collab-maint repository[1] but haven't pushed
anything yet, because of some non-free part that I don't want to put on
alioth.  My local repository was purged accidentally in my last disk
cleanup, fortunately emacs backup and notes was kept so I can rebuild
the repository and publish it this weekend.

Sigil uses so many convenience copy of libraries (three zip libraries!)
so in order to package Sigil one have to package the dependencies first.

A while ago Pino sent to me two patches that make Sigil to use system
boost and zlib library, attached for reference.

Remaining dependencies are

*** ZipArchive
     - http://www.artpol-software.com/
     - http://bugs.debian.org/614183

*** FlightCrew
     - http://code.google.com/p/flightcrew/
     - http://bugs.debian.org/602781

[1]: http://git.debian.org/?p=collab-maint/sigil.git;a=summary

Cheers,
-- 
Kanru

[external-boost.diff (text/x-diff, attachment)]
[external-zlib.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Sun, 25 Sep 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Sun, 25 Sep 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #48 received at 590180@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Kan-Ru Chen <koster@debian.org>
Cc: "Benj. Mako Hill" <mako@atdot.cc>, Pierre Haessig <pierre.haessig@crans.org>, Pino Toscano <toscano.pino@tiscali.it>, 590180@bugs.debian.org, Masayuki Hatta <mhatta@gmail.com>
Subject: Re: Sigile Debian package
Date: Sun, 25 Sep 2011 19:19:38 -0300
Hi there.

On Jun 10 2011, Kan-Ru Chen wrote:
> "Benj. Mako Hill" <mako@atdot.cc> writes:
> > Thanks everyone for your work so far to get Sigil into Debian.  I've
> > noticed that it's been a few months since this bug was updated.
> >
> > I'm willing to put in an evening of work or two to help package
> > dependencies or do other work to get this package uploaded. Do you
> > have a repository where you are working? What, in particular, needs to
> > be changed?
> 
> Thank you for bring this up again! I feel so bad that I cannot complete
> this package quickly.

Could we have some of you uploading at least a draft of your packaging to
Debian (say, experimental)?

I would like to actually use it and would even be willing to lend a hand on
the packaging, if that's desired.

> It seems I had created a collab-maint repository[1] but haven't pushed
> anything yet, because of some non-free part that I don't want to put on
> alioth.

Could you clarify which parts are non-free? I guess that the upstream people
would like to know.

> My local repository was purged accidentally in my last disk cleanup,
> fortunately emacs backup and notes was kept so I can rebuild the
> repository and publish it this weekend.

It would be nice to have whatever you have pushed to the git repository, so
that others can pick up from where you left (and we avoid this "personal
lock contention").

> Sigil uses so many convenience copy of libraries (three zip libraries!)
> so in order to package Sigil one have to package the dependencies first.

The convenience copies of libraries are sure something bad for the main
archive, but for pushing to a git repository so that people can experiment
with it and commit some changes, making some improvements, until it is in
shape for inclusion in the main archive.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Mon, 12 Dec 2011 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Horák <dan@danny.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Mon, 12 Dec 2011 14:12:04 GMT) Full text and rfc822 format available.

Message #53 received at 590180@bugs.debian.org (full text, mbox):

From: Dan Horák <dan@danny.cz>
To: 590180@bugs.debian.org
Subject: forked libs in Sigil
Date: Mon, 12 Dec 2011 11:55:17 +0100
Hello Debian maintainers,

I tried to look at packaging Sigil for Fedora and found your packaging
request for Debian. In one word it's a nightmare, not only there are
bundled copies of libraries, but they are usually also modified, making
their unbundling almost impossible :-(

My observations are
- tidyLib - forked copy of library from the tidy project, there would
probably be a chance to get the changes back to tidy, but tidy looks as
a dead project
- ZipArchive - contains forked copy of zlib


With regards

Dan






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Wed, 14 Dec 2011 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Wed, 14 Dec 2011 16:39:07 GMT) Full text and rfc822 format available.

Message #58 received at 590180@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: Dan Horák <dan@danny.cz>
Cc: 590180@bugs.debian.org
Subject: Re: Bug#590180: forked libs in Sigil
Date: Thu, 15 Dec 2011 00:37:43 +0800
Hi!

Dan Horák <dan@danny.cz> writes:

>
> Hello Debian maintainers,
>
> I tried to look at packaging Sigil for Fedora and found your packaging
> request for Debian. In one word it's a nightmare, not only there are
> bundled copies of libraries, but they are usually also modified, making
> their unbundling almost impossible :-(
>
> My observations are
> - tidyLib - forked copy of library from the tidy project, there would
> probably be a chance to get the changes back to tidy, but tidy looks as
> a dead project

Dead upstream isn't a excuse for copied library. We either have to push
the changes back to tidy or convince Sigil to maintain the forked tidy
library separately.

> - ZipArchive - contains forked copy of zlib

I have contacted the current upstream maintainer at several month ago. I
lost the courage to package it since then, maybe it's time to try
again. Below is the reply from upstream:

John Schember <john@nachtimwald.com> writes:

> Kan-Ru,
>
> The modified libraries you're going to have to live with. Tidy is the
> main one and it's going to be modified more once EPUB3 comes out.
> There really isn't any around this one. I haven't had a chance to look
> into the other ones to see which (if any) others have Sigil specific
> modifications. Once I have that under control I plan to see about
> pushing (if possible) the changes upstream.
>
> As for why so many libraries are bundled, Strahinja's primarily
> developed it on Windows. My primary OS is OS X. So bundling makes
> sense for these platforms. That said I'm not against using system
> packages when possible and help getting Sigil to use system packages
> would be appreciated.
>
> The build system is cmake and it's possible to add configuration
> flags. FlightCrew has one for not building the GUI. The cmake files
> would need to be modified to have an option to use system libraries (I
> would like to see individual options for each library) and they would
> need to do what ever is necessary to switch to using system libraries.
> I want to use the bundled libraries by default because it makes it
> easier for me (OS X).
>
> 0.4 is going to be released very soon. I don't want to make any
> changes to the build system for this release. Once that I'll be happy
> to accept patches for using system libraries. Also, Sigil and
> FlightCrew are split into two separate packages. FlightCrew is just
> bundled in Sigil like the others. It would certainly be possible for
> Sigil to be configured to use a system installed FlightCrew as well.
>
> John
>
>
> On Wed, Jul 27, 2011 at 4:03 PM, Kan-Ru Chen <koster@debian.org> wrote:
>> Hi John,
>>
>> I read the Sigil development blog and know that you are taking over the
>> project. First I have to thank you for continuing the hard work so that
>> Sigil development is active again.
>>
>> I've been trying to push/package Sigil into Debian for some time, but it
>> is hard because the release file includes so many external libraries and
>> some are even modified. To get this done I'm trying to patch Sigil and
>> FlightCrew to use system libraries. Since you are about to get 0.4
>> released, it would be great to split the core Sigil/FlightCrew code and
>> the dependencies into two different release files, then let the build
>> system use the system one it found it, or use the bundled one.
>>
>> I can help with the build system, and maybe even the code
>> itself. Looking forward to your reply.
>>
>> Regards,
>> --
>> Kanru
>>

-- 
Kanru




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Wed, 14 Dec 2011 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Horák <dan@danny.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Wed, 14 Dec 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #63 received at 590180@bugs.debian.org (full text, mbox):

From: Dan Horák <dan@danny.cz>
To: Kan-Ru Chen <koster@debian.org>
Cc: 590180@bugs.debian.org
Subject: Re: Bug#590180: forked libs in Sigil
Date: Wed, 14 Dec 2011 17:47:00 +0100
Hi,

I spent some time on Sigil last weekend and the result can be seen at 
http://fedora.danny.cz/danny/development/SRPMS/repoview/index.html

ZipArchive is unbundled, Sigil builds with system zlib and boost (thanks
to the patches here), also uses system xerces-c if version >= 3.1 is
available (as in Fedora >= 16).

The Windows and OS X influence is very clear in the project.


Dan

Kan-Ru Chen píše v Čt 15. 12. 2011 v 00:37 +0800: 
> Hi!
> 
> Dan Horák <dan@danny.cz> writes:
> 
> >
> > Hello Debian maintainers,
> >
> > I tried to look at packaging Sigil for Fedora and found your packaging
> > request for Debian. In one word it's a nightmare, not only there are
> > bundled copies of libraries, but they are usually also modified, making
> > their unbundling almost impossible :-(
> >
> > My observations are
> > - tidyLib - forked copy of library from the tidy project, there would
> > probably be a chance to get the changes back to tidy, but tidy looks as
> > a dead project
> 
> Dead upstream isn't a excuse for copied library. We either have to push
> the changes back to tidy or convince Sigil to maintain the forked tidy
> library separately.
> 
> > - ZipArchive - contains forked copy of zlib
> 
> I have contacted the current upstream maintainer at several month ago. I
> lost the courage to package it since then, maybe it's time to try
> again. Below is the reply from upstream:
> 
> John Schember <john@nachtimwald.com> writes:
> 
> > Kan-Ru,
> >
> > The modified libraries you're going to have to live with. Tidy is the
> > main one and it's going to be modified more once EPUB3 comes out.
> > There really isn't any around this one. I haven't had a chance to look
> > into the other ones to see which (if any) others have Sigil specific
> > modifications. Once I have that under control I plan to see about
> > pushing (if possible) the changes upstream.
> >
> > As for why so many libraries are bundled, Strahinja's primarily
> > developed it on Windows. My primary OS is OS X. So bundling makes
> > sense for these platforms. That said I'm not against using system
> > packages when possible and help getting Sigil to use system packages
> > would be appreciated.
> >
> > The build system is cmake and it's possible to add configuration
> > flags. FlightCrew has one for not building the GUI. The cmake files
> > would need to be modified to have an option to use system libraries (I
> > would like to see individual options for each library) and they would
> > need to do what ever is necessary to switch to using system libraries.
> > I want to use the bundled libraries by default because it makes it
> > easier for me (OS X).
> >
> > 0.4 is going to be released very soon. I don't want to make any
> > changes to the build system for this release. Once that I'll be happy
> > to accept patches for using system libraries. Also, Sigil and
> > FlightCrew are split into two separate packages. FlightCrew is just
> > bundled in Sigil like the others. It would certainly be possible for
> > Sigil to be configured to use a system installed FlightCrew as well.
> >
> > John
> >
> >
> > On Wed, Jul 27, 2011 at 4:03 PM, Kan-Ru Chen <koster@debian.org> wrote:
> >> Hi John,
> >>
> >> I read the Sigil development blog and know that you are taking over the
> >> project. First I have to thank you for continuing the hard work so that
> >> Sigil development is active again.
> >>
> >> I've been trying to push/package Sigil into Debian for some time, but it
> >> is hard because the release file includes so many external libraries and
> >> some are even modified. To get this done I'm trying to patch Sigil and
> >> FlightCrew to use system libraries. Since you are about to get 0.4
> >> released, it would be great to split the core Sigil/FlightCrew code and
> >> the dependencies into two different release files, then let the build
> >> system use the system one it found it, or use the bundled one.
> >>
> >> I can help with the build system, and maybe even the code
> >> itself. Looking forward to your reply.
> >>
> >> Regards,
> >> --
> >> Kanru
> >>
> 






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Thu, 15 Dec 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Horák <dan@danny.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Thu, 15 Dec 2011 09:39:06 GMT) Full text and rfc822 format available.

Message #68 received at 590180@bugs.debian.org (full text, mbox):

From: Dan Horák <dan@danny.cz>
To: Kan-Ru Chen <koster@debian.org>
Cc: 590180@bugs.debian.org
Subject: Re: Bug#590180: forked libs in Sigil
Date: Thu, 15 Dec 2011 10:35:54 +0100
Hi,

I've uploaded my patches to http://fedora.danny.cz/sigil/

And BTW the git version of Sigil started to bundle hunspell and pcre
libraries, hopefully unmodified ...

I also think that the modified zlib in ZipArchive is a showstopper
because it's in fact a demo of commercial library. Ideally we'd need to
remove the dependency on ZipArchive completely ...


Dan






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Mon, 23 Jan 2012 22:14:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <j.w.r.degoede@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Mon, 23 Jan 2012 22:14:08 GMT) Full text and rfc822 format available.

Message #73 received at 590180@bugs.debian.org (full text, mbox):

From: Hans de Goede <j.w.r.degoede@gmail.com>
To: john@nachtimwald.com
Cc: Dan Horák <dan@danny.cz>, 590180@bugs.debian.org, Kan-Ru Chen <koster@debian.org>
Subject: Patches for Sigil to use system libs when available
Date: Mon, 23 Jan 2012 23:06:47 +0100
[Message part 1 (text/plain, inline)]
Hi John,

Short self intro: I'm a Linux enthusiast / developer. One of the
things I do is package various software for Fedora. I also
recently got an ebook reader, and as such got interested in Sigil.

I've read: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590180
So I know that you've already been contacted about packaging Sigil
for Linux, and how most Linux distributions have a policy against
using bundled libraries inside applications.

I was happy to read that you're willing to take patches to make
Sigil build in such a fashion, on the condition that this would
be configurable.

As such I've created a patch set building on top of the work
by Dan Horák (in the CC) which I believe builds on top of the
work of Kan-Ru Chen (in the CC). With this patch set Sigil
can be built using just src/tidyLib and src/Sigil, for all
other parts system libraries are used. cmake's auto detection
features are used to determine whether to use a system lib, or
the bundled copy.

These patches are on top of the just released 0.5.0. I hope
you are willing to integrate them into Sigil's next release.

Thanks & Regards,

Hans


p.s.

Note that these patches also add support for using a system wide
installed copy of FlightCrew (and the XercesExtensions), since
FlightCrew is a separate project this seemed to make sense. I'll
send you a separate patchset to make flightcrew use systemlibs
and to allow installing flightcrew as a shared library.
[0001-use-system-boost-if-available.patch (text/x-patch, attachment)]
[0002-use-system-zlib-if-available.patch (text/x-patch, attachment)]
[0003-use-system-ZipArchive-if-available.patch (text/x-patch, attachment)]
[0004-fix-for-ZipArchive.patch (text/x-patch, attachment)]
[0005-use-system-xerces-c-if-available.patch (text/x-patch, attachment)]
[0006-use-system-FlightCrew-lib-if-available.patch (text/x-patch, attachment)]
[0007-use-system-XercesExtensions-lib-if-available.patch (text/x-patch, attachment)]
[0008-use-system-hunspell-library-if-available.patch (text/x-patch, attachment)]
[0009-use-system-pcre-library-if-available.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Mon, 23 Jan 2012 22:14:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans de Goede <j.w.r.degoede@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Mon, 23 Jan 2012 22:14:11 GMT) Full text and rfc822 format available.

Message #78 received at 590180@bugs.debian.org (full text, mbox):

From: Hans de Goede <j.w.r.degoede@gmail.com>
To: john@nachtimwald.com
Cc: Dan Horák <dan@danny.cz>, 590180@bugs.debian.org, Kan-Ru Chen <koster@debian.org>
Subject: Patches for Flightcrew to use system libs when available
Date: Mon, 23 Jan 2012 23:09:06 +0100
[Message part 1 (text/plain, inline)]
Hi John,

As promised in my previous mail, here is a set of patch to
make flightcrew use system libs and to allow installing
flightcrew and XercesExtensions as a shared library.

Note that the 11th patch also allows building zipios as
a shared lib. I'm not using this atm since zipios is only
used by FlightCrew itself and not by Sigil.

Thanks & Regards,

Hans


[0001-add-versioning-information-to-the-shared-library.patch (text/x-patch, attachment)]
[0002-fix-building-as-a-shared-library-on-Unix.patch (text/x-patch, attachment)]
[0003-use-system-zlib-if-available.patch (text/x-patch, attachment)]
[0004-use-system-boost-libraries-if-available.patch (text/x-patch, attachment)]
[0005-fix-build-with-boost-1.48.patch (text/x-patch, attachment)]
[0006-use-system-xerces-c-if-available.patch (text/x-patch, attachment)]
[0007-install-FlightCrew-library-and-headers.patch (text/x-patch, attachment)]
[0008-don-t-build-googlemock-when-NO_TEST_EXE-is-specified.patch (text/x-patch, attachment)]
[0009-Add-a-FindFlightCrew.cmake-cmake-module.patch (text/x-patch, attachment)]
[0010-allow-building-XercesExtensions-as-a-shared-lib.patch (text/x-patch, attachment)]
[0011-allow-building-zipios-as-a-shared-lib.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Sat, 15 Sep 2012 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <mvdan@mvdan.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Sat, 15 Sep 2012 17:15:06 GMT) Full text and rfc822 format available.

Message #83 received at 590180@bugs.debian.org (full text, mbox):

From: Daniel Martí <mvdan@mvdan.cc>
To: 590180@bugs.debian.org
Subject: State of the Sigil ITP (was: Patches for Flightcrew to use system libs when available)
Date: Sat, 15 Sep 2012 19:09:44 +0200
[Message part 1 (text/plain, inline)]
Hello Hans, Dan and company! :)

This ITP has been in halt for some time. Is any work being done? What's the
current state of the package?

Cheers,

Dan
-- 
Daniel Martí - mvdan@mvdan.cc - GPG 0x58BF72C3
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Thu, 29 Nov 2012 00:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Thu, 29 Nov 2012 00:12:02 GMT) Full text and rfc822 format available.

Message #88 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: koster@debian.org, 590180@bugs.debian.org, mako@debian.org
Subject: Status of sigil ITP
Date: Wed, 28 Nov 2012 16:09:10 -0800
I found myself looking for sigil once again; what's the current status
of this ITP? It would be ideal to at least get a preliminary git
repository going, which can be sanitized of non-free code (if
necessary) before putting it into the collab-maint repository.

If you don't have time to maintain sigil, I'm ok with starting a
collaborative maintenance group for it.


Don Armstrong

-- 
The whole modern world has divided itself into Conservatives and
Progressives. The business of Progressives is to go on making
mistakes. The business of the Conservatives is to prevent the mistakes
from being corrected.
 -- G. K. Chesterton "Illustrated London News (1924-04-19)"

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Sat, 01 Dec 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@atdot.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Sat, 01 Dec 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #93 received at 590180@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@atdot.cc>
To: Don Armstrong <don@donarmstrong.com>
Cc: koster@debian.org, 590180@bugs.debian.org
Subject: Re: Status of sigil ITP
Date: Fri, 30 Nov 2012 19:31:50 -0500
[Message part 1 (text/plain, inline)]
<quote who="Don Armstrong" date="Wed, Nov 28, 2012 at 04:09:10PM -0800">
> I found myself looking for sigil once again; what's the current status
> of this ITP? It would be ideal to at least get a preliminary git
> repository going, which can be sanitized of non-free code (if
> necessary) before putting it into the collab-maint repository.

It has been almost a year with no visible movement toward packaging
(at least on this bug). This is genuinely useful free software. We try
so hard to not step on each others toes that I think we sometimes
really hurt our users. And I think this is one of those cases.

Don: It may not be worth very much but you have my permission and
encouragement to go forward with whatever you you can do to help get
Sigil into Debian.

> If you don't have time to maintain sigil, I'm ok with starting a
> collaborative maintenance group for it.

And I'm still willing to put some time and effort into seeing this
happen. Keep me in the loop!

Later,
Mako

-- 
Benjamin Mako Hill
mako@atdot.cc
http://mako.cc/

Creativity can be a social contribution, but only in so far
as society is free to use the results. --GNU Manifesto
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#590180; Package wnpp. (Tue, 18 Dec 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Tue, 18 Dec 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #98 received at 590180@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Control bugs server <control@bugs.debian.org>
Cc: 590180@bugs.debian.org, koster@debian.org
Subject: Sigile Debian package
Date: Tue, 18 Dec 2012 22:17:24 +0100
block 590180 by 614183
block 590180 by 602781
tags 590180 - pending
thanks

I removed the pending tag.
This is still not clear what happen exactly to this package. Is anyone
actually working on ? As per 590180#43 there should be some work done
at:

http://anonscm.debian.org/gitweb/?p=collab-maint/sigil.git;a=summary

However this looks like an empty git repository.

I did add block to the reference bug, but again I do not see them as
stopper. Debian policy is quite clear on convienient copy, while bad
it is not a strict requirement:

http://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles

Anyway, I'd like to switch the ITP to an RFP, and remove the current
owner if no one actually works on it.

Thanks.



Added blocking bug(s) of 590180: 614183 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 21:21:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 590180: 602781 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 21:21:07 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 21:21:08 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by koster@debian.org. Request was from "Benj. Mako Hill" <mako@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 17:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: sigil -- A WYSIWYG ebook editor' from 'ITP: sigil -- A WYSIWYG ebook editor' Request was from "Benj. Mako Hill" <mako@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 17:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590180; Package wnpp. (Sun, 27 Jan 2013 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Benj. Mako Hill" <mako@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Jan 2013 17:09:06 GMT) Full text and rfc822 format available.

Message #113 received at 590180@bugs.debian.org (full text, mbox):

From: "Benj. Mako Hill" <mako@debian.org>
To: 590180@bugs.debian.org
Cc: koster@debian.org, control@bugs.debian.org, Mathieu Malaterre <malat@debian.org>, Don Armstrong <don@donarmstrong.com>
Subject: Getting Sigil into Debian
Date: Sun, 27 Jan 2013 11:58:45 -0500
[Message part 1 (text/plain, inline)]
noowner 590180
retitle 590180 RFP: sigil -- A WYSIWYG ebook editor
thanks

This ITP is now more than two years old and we haven't heard from the
owner in more than year despite a few pings. And I (and other people
as well, I'm sure!) still really want Sigil in Debian. :)

Both Don Armstrong and the Kan-Ru (the owner) have suggested setting
up a shared repository. But really, *somebody* should make a stab at a
package. Since a few people have expressed interest in helping, this
seems like a great candidate for collaborative maintaince so that
anybody that wants to or can join to help. I'd encourage whoever runs
with this to create an Alioth project or something and run with it.

I'm tried to mark this bug accordingly because I think the ITP/owner
is scaring interested folks away from trying.

Thanks to Kan-Ru, Don, Mathieu, and everyone else who has spent time
on this already. I'm really looking forward to having Sigil in Debian!

Regards,
Mako

-- 
Benjamin Mako Hill
mako@debian.org
http://mako.cc/

Creativity can be a social contribution, but only in so far
as society is free to use the results. --GNU Manifesto
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590180; Package wnpp. (Thu, 14 Feb 2013 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Feb 2013 18:12:03 GMT) Full text and rfc822 format available.

Message #118 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 602781@bugs.debian.org, 590180@bugs.debian.org
Cc: Kan-Ru Chen <koster@debian.org>
Subject: Hijacking the flightcrew ITP
Date: Thu, 14 Feb 2013 10:08:02 -0800
Control: owner -1 don@debian.org
Control: retitle 590180 ITP: sigil -- A WYSIWYG ebook editor

As flightcrew is required for sigil, no progress appears to have been
made on packaging flightcrew, and I would to package sigil rapidly, I
am hijacking the ITP of flightcrew. I plan on maintaining flightcrew
and sigil in collab maint, and would love to have additional
co-maintainers if you are still interested in maintaining flightcrew.


Don Armstrong

-- 
If it jams, force it. If it breaks, it needed replacing anyway.
 -- Lowery's Law

http://www.donarmstrong.com              http://rzlab.ucr.edu



Owner recorded as don@debian.org. Request was from Don Armstrong <don@debian.org> to 590180-submit@bugs.debian.org. (Thu, 14 Feb 2013 18:12:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: sigil -- A WYSIWYG ebook editor' from 'RFP: sigil -- A WYSIWYG ebook editor' Request was from Don Armstrong <don@debian.org> to 590180-submit@bugs.debian.org. (Thu, 14 Feb 2013 18:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sun, 07 Jul 2013 04:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@orangeseeds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 04:09:04 GMT) Full text and rfc822 format available.

Message #127 received at 590180@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@orangeseeds.org>
To: Don Armstrong <don@debian.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: any progress on sigil/flightcrew?
Date: Sun, 07 Jul 2013 00:05:24 -0400
[Message part 1 (text/plain, inline)]
Hey Don,

Any news on the sigil/flightcrew packaging? Anywhere we can peruse the
actual package source? What's the word from upstream regarding the
license problem you found?

Thanks!

A.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sun, 07 Jul 2013 04:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@orangeseeds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 04:51:04 GMT) Full text and rfc822 format available.

Message #132 received at 590180@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@orangeseeds.org>
To: Don Armstrong <don@debian.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: Re: any progress on sigil/flightcrew?
Date: Sun, 07 Jul 2013 00:47:42 -0400
[Message part 1 (text/plain, inline)]
Also note that there's a ubuntu package here:

https://launchpad.net/~rgibert/+archive/ebook

maybe they have a flightcrew package too?

-- 
Why bother building more nukes until we use the ones we already have?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sun, 07 Jul 2013 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 22:48:04 GMT) Full text and rfc822 format available.

Message #137 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Antoine Beaupré <anarcat@orangeseeds.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: Re: any progress on sigil/flightcrew?
Date: Sun, 7 Jul 2013 15:45:52 -0700
On Sun, 07 Jul 2013, Antoine Beaupré wrote:
> Any news on the sigil/flightcrew packaging?

I am current stuck on either getting a clean-room implementation of the
DTD that I identified earlier, or disabling checks of that DTD in sigil.
Patches accepted.

> Anywhere we can peruse the actual package source?

http://git.donarmstrong.com/?p=flightcrew.git;a=summary

> What's the word from upstream regarding the license problem you found?

They responded once, but have not responded further, even though I have
pinged them three times already.

-- 
Don Armstrong                      http://www.donarmstrong.com

[I]t's true that some of the most terrible things in the world are
done by people who think, genuinely think, that they're doing it for
the best, especially if there is some god involved.
 -- Terry Pratchett _Snuff_ p185



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sat, 26 Oct 2013 04:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sat, 26 Oct 2013 04:48:04 GMT) Full text and rfc822 format available.

Message #142 received at 590180@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: Don Armstrong <don@donarmstrong.com>, 602781@bugs.debian.org
Cc: Antoine Beaupré <anarcat@orangeseeds.org>, 590180@bugs.debian.org
Subject: Re: Bug#602781: any progress on sigil/flightcrew?
Date: Sat, 26 Oct 2013 10:15:01 +0530
Hi all,
Any updates Don, to flightcrew ?
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Tue, 29 Oct 2013 05:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Tue, 29 Oct 2013 05:03:04 GMT) Full text and rfc822 format available.

Message #147 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: shirish शिरीष <shirishag75@gmail.com>
Cc: 602781@bugs.debian.org, Antoine Beaupré <anarcat@orangeseeds.org>, 590180@bugs.debian.org
Subject: Re: Bug#602781: any progress on sigil/flightcrew?
Date: Mon, 28 Oct 2013 21:59:34 -0700
On Sat, 26 Oct 2013, shirish शिरीष wrote:
> Any updates Don, to flightcrew ?

I'm finishing up the final testing of sigil, and am about to start
working on flightcrew itself.

-- 
Don Armstrong                      http://www.donarmstrong.com

My spelling ability, or rather the lack thereof, is one of the wonders
of the modern world.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sat, 15 Mar 2014 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sat, 15 Mar 2014 13:57:05 GMT) Full text and rfc822 format available.

Message #152 received at 590180@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: 590180@bugs.debian.org
Cc: Don Armstrong <don@donarmstrong.com>
Subject: possible packaging of sigil prepared
Date: Sat, 15 Mar 2014 22:53:44 +0900
Hi Don, hi all,

since it seems nothing is going on here, I have packaged sigil 0.7.4
and it is built with the builtin flightcrew, as long as that one is
not packaged.

I know that Sigil has been more or less stopped development in favor
of Calibre's editor. But as much as I like calibre for managing my
ebooks, I am not totally happy with the editor for now. Of course,
Sigil also has its limitations, my biggest complain is support for
epub3 and vertical typesetting (Japanese). But this holds the same way
for Calibre.

Thus, here is a package for sigil in Debian/sid:
	Vcs-Git: git://git.debian.org/users/preining/sigil.git
	Vcs-Browser: http://git.debian.org/?p=users/preining/sigil.git;a=summary
and ready compiled binaries for amd64 plus source packages are at
	deb http://people.debian.org/~preining/ sigil/
	deb-src http://people.debian.org/~preining/ sigil/

Packages are lintian clean, clean chroot build tested, and install/run tested.

Comments are welcome!

Thanks

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
GPG: 0x860CDC13   fp: F7D8 A928 26E3 16A1 9FA0  ACF0 6CAC A448 860C DC13
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sat, 15 Mar 2014 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sat, 15 Mar 2014 18:45:09 GMT) Full text and rfc822 format available.

Message #157 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Norbert Preining <preining@logic.at>
Cc: 590180@bugs.debian.org
Subject: Re: possible packaging of sigil prepared
Date: Sat, 15 Mar 2014 11:41:51 -0700
On Sat, 15 Mar 2014, Norbert Preining wrote:
> since it seems nothing is going on here, I have packaged sigil 0.7.4
> and it is built with the builtin flightcrew, as long as that one is
> not packaged.

The problem is that flightcrew contains non-DFSG-free source files which
cannot be distributed in main. I have partially re-implemented them from
scratch, but I haven't had a chance to finish them up.

Once I finish doing that (or someone else does), flightcrew can be
uploaded to Debian, and sigil can be packaged and uploaded without the
embedded code copies.

-- 
Don Armstrong                      http://www.donarmstrong.com

The smallest quantity of bread that can be sliced and toasted has yet
to be experimentally determined. In the quantum limit we must
necessarily encounter fundamental toast particles which the author
will unflinchingly designate here as "croutons".
 -- Cser, Jim. Nanotechnology and the Physical Limits of Toastability.
    AIR 1:3, June, 1995.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Sun, 16 Mar 2014 05:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 16 Mar 2014 05:54:05 GMT) Full text and rfc822 format available.

Message #162 received at 590180@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Don Armstrong <don@donarmstrong.com>, 590180@bugs.debian.org
Subject: Re: Bug#590180: possible packaging of sigil prepared
Date: Sun, 16 Mar 2014 14:51:11 +0900
Hi Don,

thanks for your answer.

On Sat, 15 Mar 2014, Don Armstrong wrote:
> The problem is that flightcrew contains non-DFSG-free source files which
> cannot be distributed in main. I have partially re-implemented them from

You mean src/FlightCrew/Misc/CustomAssert.{cpp,h}

I didn't find any other file.

What about contacting the original authors or Strahinja Markovic
and ask about the status. Did you have any success with that?

All the best

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
GPG: 0x860CDC13   fp: F7D8 A928 26E3 16A1 9FA0  ACF0 6CAC A448 860C DC13
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#590180; Package wnpp. (Mon, 17 Mar 2014 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Mon, 17 Mar 2014 02:15:04 GMT) Full text and rfc822 format available.

Message #167 received at 590180@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Norbert Preining <preining@logic.at>, 590180@bugs.debian.org
Subject: Re: Bug#590180: possible packaging of sigil prepared
Date: Sun, 16 Mar 2014 19:10:22 -0700
On Sun, 16 Mar 2014, Norbert Preining wrote:
> On Sat, 15 Mar 2014, Don Armstrong wrote:
> > The problem is that flightcrew contains non-DFSG-free source files which
> > cannot be distributed in main. I have partially re-implemented them from
> 
> You mean src/FlightCrew/Misc/CustomAssert.{cpp,h}

No. I mean FlightCrew/Schemas/AsSources/Ncx20051Dtd.cpp and the schema
from which that was built.
 
> I didn't find any other file.
> 
> What about contacting the original authors or Strahinja Markovic
> and ask about the status. Did you have any success with that?

They're not the original author; I contacted the NCX2005 maintainers,
and while I got one response, they didn't respond with anything else useful.
 

-- 
Don Armstrong                      http://www.donarmstrong.com

A citizen of America will cross the ocean to fight for democracy, but
won't cross the street to vote in a national election.
 -- Bill Vaughan



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:01:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.